package com.oguerreiro.resilient.service.mapper;

import static com.oguerreiro.resilient.domain.InputDataUploadLogAsserts.*;
import static com.oguerreiro.resilient.domain.InputDataUploadLogTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class InputDataUploadLogMapperTest {

    private InputDataUploadLogMapper inputDataUploadLogMapper;

    @BeforeEach
    void setUp() {
        inputDataUploadLogMapper = new InputDataUploadLogMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getInputDataUploadLogSample1();
        var actual = inputDataUploadLogMapper.toEntity(inputDataUploadLogMapper.toDto(expected));
        assertInputDataUploadLogAllPropertiesEquals(expected, actual);
    }
}
